Subject: Highlighting of selected article broken

From: Romain Francoise <[email-masked]>
Date: Wed, 14 Nov 2012 18:44:54 +0100

Going from the version of Gnus included in Emacs 24.2 to the version
currently in the emacs-24 branch exposes the following regression:
selected articles are sometimes not highlighted properly, the
`gnus-summary-selected' face gets applied to the wrong line in the
summary, which is confusing.

This seems to happen only on articles which are part of a thread;
standalone articles get highlighted properly. Also, on an article which
hasn't been highlighted, doing `g' brings back the highlighting.

Let me know if you need more info, it's kinda hard to describe.